package com.bonus.sgzb.material.service.impl;

import com.bonus.sgzb.material.domain.ReturnOfMaterialsInfo;
import com.bonus.sgzb.material.mapper.ReturnOfMaterialsInfoMapper;
import com.bonus.sgzb.material.service.ReturnOfMaterialsInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsun
 */
@Service
public class ReturnOfMaterialsInfoServiceImpl implements ReturnOfMaterialsInfoService {

    @Autowired
    private ReturnOfMaterialsInfoMapper returnOfMaterialsInfoMapper;

    @Override
    public List<ReturnOfMaterialsInfo> getReturnOfMaterialsInfoAll(ReturnOfMaterialsInfo bean) {
        return returnOfMaterialsInfoMapper.getReturnOfMaterialsInfoAll(bean);
    }

    @Override
    public List<ReturnOfMaterialsInfo> getTypeList(String level) {
        return returnOfMaterialsInfoMapper.getTypeList(level);
    }

    @Override
    public List<ReturnOfMaterialsInfo> getMaTypeList(String level) {
        return returnOfMaterialsInfoMapper.getMaTypeList(level);
    }

    @Override
    public List<ReturnOfMaterialsInfo> getInfoListByType(String level, String parentId) {
        return returnOfMaterialsInfoMapper.getInfoListByType(level, parentId);
    }

    @Override
    public List<ReturnOfMaterialsInfo> exportList(ReturnOfMaterialsInfo bean) {
        return returnOfMaterialsInfoMapper.getReturnOfMaterialsInfoAll(bean);
    }
}
